gr::ieee802_15_4::codeword_soft_demapper_fb_impl Class Reference

`#include <codeword_soft_demapper_fb_impl.h>`

Inheritance diagram for gr::ieee802_15_4::codeword_soft_demapper_fb_impl:
[legend]

## Public Member Functions

| codeword_soft_demapper_fb_impl (int bits_per_cw, std::vector< std::vector< float > > codewords)
| ~codeword_soft_demapper_fb_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::codeword_soft_demapper_fb
typedef boost::shared_ptr< codeword_soft_demapper_fb > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::codeword_soft_demapper_fb
static sptr | make (int bits_per_cw, std::vector< std::vector< float > > codewords)
| Return a shared_ptr to a new instance of ieee802_15_4::codeword_soft_demapper_fb. More...

## Constructor & Destructor Documentation

## codeword_soft_demapper_fb_impl()

gr::ieee802_15_4::codeword_soft_demapper_fb_impl::codeword_soft_demapper_fb_impl | ( | int | bits_per_cw,
|  | std::vector< std::vector< float > > | codewords
| ) |  |

## ~codeword_soft_demapper_fb_impl()

gr::ieee802_15_4::codeword_soft_demapper_fb_impl::~codeword_soft_demapper_fb_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::ieee802_15_4::codeword_soft_demapper_fb_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::ieee802_15_4::codeword_soft_demapper_fb_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- codeword_soft_demapper_fb_impl.h